=== debian/changelog ===
golang-github-openvex-go-vex (0.2.7-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Adjust Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Feb 2026 09:21:04 +0100

golang-github-openvex-go-vex (0.2.7-1) unstable; urgency=medium

  * Initial release (Closes: #1121257)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Nov 2025 21:54:30 +0100
