=== debian/control ===
Source: golang-github-openvex-go-vex
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-owenrumney-go-sarif-dev,
 golang-github-package-url-packageurl-go-dev,
 golang-gopkg-yaml.v3-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openvex-go-vex
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openvex-go-vex.git
Homepage: https://github.com/openvex/go-vex
XS-Go-Import-Path: github.com/openvex/go-vex

Package: golang-github-openvex-go-vex-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-owenrumney-go-sarif-dev,
 golang-github-package-url-packageurl-go-dev,
 golang-gopkg-yaml.v3-dev,
 ${misc:Depends},
Description: generate and transform VEX documents (Go library)
 Go library for generating, consuming, and operating on Vulnerability
 Exploitability eXchange (VEX) documents
 .
 This repository contains the OpenVEX Go source code. This module lets
 authors create, modify and manage VEX documents.
 .
 For more information about the OpenVEX specification implemented by this
 module, check out the OpenVEX specification:
 https://github.com/openvex/spec/blob/main/OPENVEX-SPEC.md
 .
 This package contains the Go development library.
