=== debian/watch ===
Version: 5
Template: Github
Owner: openvex
Project: go-vex
